System.ServiceModel 4.0.0.0 System.IdentityModel.Selectors.SecurityTokenManager System.ServiceModel.Security.IEndpointIdentityProvider

This class creates instances of the class. There is one instance of this class for each service channel listener.

Represents a implementation that provides security token serializers based on the configured on the service.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class based on the passed in.

- Method
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenAuthenticator `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenProvider ``

  The class is responsible for obtaining tokens for a given . Optionally, token providers can support renewing and canceling tokens as well. The token provider can cache tokens if it is configured to do so.

  Creates a security token provider based on the .

  The security token provider.

  The security token requirement.
- Method
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenSerializer ``

  The is used for writing and reading security tokens and security token references. When deserializing the token from XML, the returned token must be able to perform cryptographic operations. The token serializer must be able to do enough validation to ensure that the token can do cryptographic operations (Kerberos ticket processing, X.509 decoding, SAML decoding, and so on) but should defer application trust decisions to the authenticator.

  Creates a security token serializer based on the security token version passed in.

  The security token serializer.

  The version of the security token.
- Method
  4.0.0.0
  System.ServiceModel.EndpointIdentity `` To be added.

  This method is called by the indigo2 infrastructure to obtain the that corresponds to a service endpoint.

  Gets the based on the security token requirement.

  The endpoint identity that corresponds to the . null is returned if an identity cannot be created from the .

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the security token requirement is for an issued token.

  true if the security token requirement is for an issued token; otherwise, false.

  The security token requirement.
- Property
  4.0.0.0
  System.ServiceModel.Description.ServiceCredentials To be added.

  The object enables you to configure service credentials as well as service credential authentication settings.

  Gets the service credentials used to construct this instance of this class.